Subject: pkg/34714: wm/icewm fails new mk/configure test
To: None <,,>
From: None <kre@munnari.OZ.AU>
List: pkgsrc-bugs
Date: 10/04/2006 15:55:00
>Number:         34714
>Category:       pkg
>Synopsis:       wm/icewm fails new mk/configure test
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Oct 04 15:55:00 +0000 2006
>Originator:     Robert Elz
>Release:        NetBSD 3.99.15 (pkgsrc current as of about 8 hours ago)
	Prince of Songkla University
System: NetBSD 3.99.15 NetBSD 3.99.15 (GENERIC-1.696-20060125) #8: Wed Jan 25 04:59:39 ICT 2006 i386
Architecture: i386
Machine: i386
	The latest version of icewm (Don't know about earlier ones)
	fails the new test for use or "test ==" added to
	pkgsrc/mk/configure on Monday.
	Try building wm/icewm
		(I'm building using pkg_comp with libkver
		and NetBSD 3.0 release sets installed, but
		I doubt that makes any difference at all)

	Expect to see ...

Configuring for icewm-1.2.27
=> Modifying GNU configure scripts to avoid --recheck
=> Replacing config-guess with pkgsrc versions
=> Replacing config-sub with pkgsrc versions
=> Checking for "test ... == ..." in configure scripts
ERROR: [] if test "${XFT_CONFIG}" == ""; then
ERROR: [] Found test ... == ... in configure script.
*** Error code 1

	Change whatever is using == I suppose...